/*================================
    Dashboard Column
================================*/


@import "../support/_dashboard-variables.scss";

.yw-dashboard {
  .yw-children-container {
    .yw-dashboard {
      &-top-container > .yw-dashboard-column {
        padding-right: 0;
      }
      &-top-container {
        overflow-x: hidden;
      }

      &-row {
        margin-right: -$dashboard__dashboard--padding-right;
        display: inline-table;
        width: calc(100% + #{$dashboard__dashboard--padding-right});

        > .yw-dashboard-slot {
          margin-right: $dashboard__dashboard--padding-right;
        }
      }

      &-column {
        width: 100%;
        position: relative;
        overflow: hidden;
        display: table-cell;
        vertical-align: top;
        padding-right: $dashboard__dashboard--padding-right;
        
        @if $_dashboard__column-bp-s--max-width {
          @media (max-width: $_dashboard__column-bp-s--max-width) {
            display: block;
            min-width: 100%;

            > .yw-dashboard-slot {
              height: auto !important;
              margin-bottom: $dashboard__dashboard-slot--padding;
              
              > .widget_cnt {
                height: auto;
                display: block;
              }
            }
          }
        }

        > .yw-dashboard-row {
          margin-right: -$dashboard__dashboard--padding-right * 2;
          display: block;
        }

        &:before {
          content: "";
          background: $dashboard__draggable-slot--border-color;
          width: 100%;
          position: absolute;
          top: $dashboard__dashboard-title-border--top;
          height: $dashboard__draggable-slot-ghost--border-height;
          z-index: 1;
        }

        .yw-dashboard-row {
          // overflow: hidden;
          // display: table;
          // margin-right: -$dashboard__dashboard--padding-right;

          .yw-dashboard {
            // &-column {
            //   display: table-cell;
            //   vertical-align: top;
            //   padding-right: $dashboard__dashboard--padding-right;

            //   &:last-child {
            //     padding-right: $dashboard__dashboard--padding-right;
            //   }
            // }

            &-slot-draggable {
              &.z-drag-ghost {
                background-color: $dashboard__draggable-slot-ghost--bg-color;
              }

              & + .z-drag-over {
                position: relative;
                background-color: transparent;

                &:before {
                  width: 100%;
                  height: 100%;
                  content: '';
                  position: absolute;
                  background-color: $dashboard__draggable-slot-ghost--bg-color;
                  opacity: 0.2;
                  z-index: 1;
                }
              }
            }
          }
        }
      }
    }
  }
}